#ifndef __HOST_H_
#define __HOST_H_

#include "io.h"

/* Initialize access from host.
   Return device if ok, NULL if error.  */
struct libwr2rf_dev *libwr2rf_host_init (int argc, char **argv);

/* Initialize access from host with VME slot.
   Returns NULL in case of failure (usually due to permission error).
   This function does *no* access to the board, so it may succeed even if
   the board is not present.  */
struct libwr2rf_dev *libwr2rf_host_init_by_slot (unsigned int slot);

#endif /* __HOST_H_ */
