#!/bin/bash

slot=$1
b=$2
ht=$3

# Check we have basic access to the register space over VME
./wr2rf -s $slot hwver

# place vtu in reset
./wr2rf -s $slot vtu 1.1 reset 1

# configure vtu mode
./wr2rf -s $slot vtu 1.1 mode infinite

# configure vtu parameter
./wr2rf -s $slot vtu 1.1 ht $ht
./wr2rf -s $slot vtu 1.1 b $b

# take vtu out of reset
./wr2rf -s $slot vtu 1.1 reset 0

# confirm the configuration is complete
./wr2rf -s $slot vtu 1.1 valid

# Dump the state
./wr2rf -s $slot vtu 1.1
